// Console_LogicLoops.cpp : main project file.

/* ___________________________________________________________
                       Learning C++: Lesson 4
        Controlling Things With Do-While Logic Loops
                                  Ron Kessler
                           Created 5/22/2016

This little program shows how to use logic loops to manage blocks
of code when you do not know how many times you need to repeat. There
are two of them called a "while loop" & a "Do while loop".

This uses a random number generator to simulate throwing a die until
you roll a 6.

____________________________________________________________
*/
#include "stdafx.h"

using namespace System;

int main(array<System::String ^> ^args)
{
    Console::WriteLine("Welcome to Lost Wages Resort.\n\n");

    Random^ myNumber = gcnew Random();  //the Random class makes a random number generator
    int numberRolled;       //actual number rolled
    int numThrows = 0;  //how many attempts to roll a 6

    //---the Do loop is a post-test loop. How many times can you be sure it will run?
    do
    {
        numberRolled = myNumber->Next(1, 7);    //next returns a non-negative random # between 1 & 7

        Console::WriteLine("Rolling... you got a " + numberRolled);
        numThrows++;

     /*   if (numThrows > 10)       //this is how you break out of a loop
            break;*/

        Console::WriteLine("Roll again? Press any key.");
        Console::ReadLine();
        Console::Clear();           //comment out to see all the rolls
    } 
    while (numberRolled != 6);

    Console::Write("\n\nYou took ");
    Console::Write(numThrows);
    Console::WriteLine(" tries to get a 6 this time.");


    Console::WriteLine("\n\nAny key to end.");
    Console::ReadLine();

}

